import urllib, sys, os, re, time
import xbmcaddon, xbmcplugin, xbmcgui, xbmc
if sys.version_info < (2, 7):
    import simplejson
else:
    import json as simplejson


# Plugin constants
__addonname__ = "Appm"
__addonid__   = "plugin.program.appm"
__addon__     = xbmcaddon.Addon(id=__addonid__)
__language__  = __addon__.getLocalizedString
__cwd__       = xbmc.translatePath( __addon__.getAddonInfo('path') )
__profile__   = xbmc.translatePath( __addon__.getAddonInfo('profile') )
__icondir__   = os.path.join( __cwd__,'resources','icons' )

# Shared resources
BASE_RESOURCE_PATH = os.path.join( __cwd__, 'resources', 'lib' )
sys.path.append (BASE_RESOURCE_PATH)

AUTO_START = __addon__.getSetting('AutomaticStart')



def CheckRunningStatus( ) :
	print 'CheckRunningStatus'
	if  os.path.exists( '/var/lib/mgcamd/running' ) :
		return True
	else :
		return False




def ShowSettingDialog( ) :
	print '---------- Show Setting Dialog ----------------' 
	print 'cwd=%s' %__cwd__


	menuList = []

	running = CheckRunningStatus( )

	print 'isrunning=%d' %running

	cmd = 'chmod 775 '+os.path.join( __cwd__,'*.sh' )
	print 'cmd=%s' %cmd
	os.system ( cmd )
	cmd = 'chmod 775 /config/post-maruapp/*' 
	print 'cmd=%s' %cmd
	os.system ( cmd )

	if running == True :
		menuList.append( "Stop")
		menuList.append( "Restart")
		menuList.append( "Remove")
		dialog = xbmcgui.Dialog( )
		selectIndex = dialog.select(  'Select Menu', menuList )

		print 'selectIndex=%d' %selectIndex
		if selectIndex == 0 :
			cmd = os.path.join( __cwd__,'stop.sh' )
			print 'cmd=%s' %cmd
			os.system( cmd )
		elif selectIndex == 1 :
			cmd = os.path.join( __cwd__,'restart.sh' )
			print 'cmd=%s' %cmd			
			os.system( cmd )
		elif selectIndex == 2 :
			cmd = os.path.join( __cwd__,'remove.sh' )
			print 'cmd=%s' %cmd			
			os.system( cmd )
		

	else :
		menuList.append( "Start")
		menuList.append( "Remove")
		dialog = xbmcgui.Dialog( )

		selectIndex = dialog.select(  'Select Menu', menuList )

		print 'selectIndex=%d' %selectIndex

		if selectIndex == 0 :
			cmd = os.path.join( __cwd__,'start.sh' )
			print 'cmd=%s' %cmd			
			os.system( cmd )
		elif selectIndex == 1 :
			cmd = os.path.join( __cwd__,'remove.sh' )
			print 'cmd=%s' %cmd			
			os.system(  cmd )		

		#__addon__.openSettings()



if __name__ == '__main__' :
	print 'Appm TEST'
	ShowSettingDialog( )


